Bug 1498867 (CVE-2017-15042) - CVE-2017-15042 golang: smtp.PlainAuth susceptible to man-in-the-middle password harvesting
Summary: CVE-2017-15042 golang: smtp.PlainAuth susceptible to man-in-the-middle passwo...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15042
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1498872 1498873 1499160 1500587 1522596 1565784
Blocks: 1498774 1498876
TreeView+ depends on / blocked
 
Reported: 2017-10-05 13:01 UTC by Adam Mariš
Modified: 2019-09-29 14:23 UTC (History)
27 users (show)

Fixed In Version: golang 1.8.4, golang 1.9.1
Doc Type: If docs needed, set a value
Doc Text:
It was found that smtp.PlainAuth authentication scheme in Go did not verify the TLS requirement properly. A remote man-in-the-middle attacker could potentially use this flaw to sniff SMTP credentials sent by a Go application.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:26:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3463 normal SHIPPED_LIVE Moderate: go-toolset-7 and go-toolset-7-golang security and bug fix update 2017-12-14 16:34:49 UTC
Red Hat Product Errata RHSA-2018:0878 None None None 2018-04-10 08:27:20 UTC

Description Adam Mariš 2017-10-05 13:01:04 UTC
It was found that smtp.PlainAuth scheme was vulnerable to man-in-the-middle attack. smtp.PlainAuth implementation would send the username and password to man-in-the-middle SMTP server that doesn’t advertise STARTTLS and does advertise that PLAIN auth is OK.

Upstream bug:

https://github.com/golang/go/issues/22134

Upstream patches:

Go 1.8: https://go-review.googlesource.com/c/go/+/68023
Go 1.9: https://go-review.googlesource.com/c/go/+/68210

Comment 1 Adam Mariš 2017-10-05 13:09:28 UTC
Created golang tracking bugs for this issue:

Affects: epel-6 [bug 1498872]
Affects: fedora-all [bug 1498873]

Comment 2 Joshua Padman 2017-10-06 00:10:52 UTC
github issue was updated to include CVE-2017-15042

Comment 5 errata-xmlrpc 2017-12-14 11:35:51 UTC
This issue has been addressed in the following products:

  Red Hat Developer Tools

Via RHSA-2017:3463 https://access.redhat.com/errata/RHSA-2017:3463

Comment 6 errata-xmlrpc 2018-04-10 08:27:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0878 https://access.redhat.com/errata/RHSA-2018:0878


Note You need to log in before you can comment on or make changes to this bug.